/*
 *	Update lcd.xml
 */
function processLcd(json)
{
	json = json["val:Root"];

	// Counters
	/*
	ctELECTROMETER_PRODUCTION,		// 0 - pulse electrometer production
	ctELECTROMETER_CONSUMPTION,		// 1 - pulse electrometer consumption
	ctELECTROMETER_SUPPLY_DS,		// 2 - pulse electrometer feed in (supply)
	ctELECTROMETER_CONSUMPTION_DS,	// 3 - pulse electrometer consumption from grid
	ctGAS_CONSUMPTION,				// 4 - pulse gasometer consumption
	ctWATER_CONSUMPTION,			// 5 - pulse watermeter consumption
	ctINVERTER_PRODUCTION,			// 6 - inverter production
	ctTRACKER_PRODUCTION,			// 7 - tracker production
	ctBATTERY_CHARGE,				// 8 - battery charging
	ctBATTERY_DISCHARGE,			// 9 - battery discharging
	ctMETER_PRODUCTION,				//10 - meter production
	ctMETER_CONSUMPTION,			//11 - meter consumption
	ctMETER_SUPPLY_DS,				//12 - meter grid feed in (supply)
	ctMETER_CONSUMPTION_DS,			//13 - meter consumption from grid
	ctMETER_LUA_SCRIPT_ENERGY,		//14 - filled with Lua Script
	ctMETER_LUA_SCRIPT_VOLUME,		//15 - filled with Lua Script
	*/
	var prod_total = 0;
	var entries = json["MeterSet"]["Entry"];

	if (typeof entries !== 'undefined')
	{
		var len = Array.isArray(entries) ? entries.length : 1;

		for (var i = 0; i < len; i++)
		{
			var	entry = len > 1 ? entries[i] : entries;
			var type = entry["Counter"];

			if (type == 0 || type == 6 || type == 10)
			{
				prod_total = Number(entry["Total"]);
				break;
			}
		}

		$('#lcdTotal').text(formatNumber(Math.floor(prod_total / 1000)) + "." + (Math.floor(prod_total / 100) % 10) + " kWh");

		prod_total *= 0.537;		//CO2 coeficient
		$('#lcdCO2').text(formatNumber(Math.floor(prod_total / 1000)) + "." + (Math.floor(prod_total / 100) % 10) + " kg");
	}

	//	Inverters, Meters
	var power = 0;
	var actualConsumption = 0;
	entries = json["DeviceSet"]["Entry"];

	if (typeof entries !== 'undefined')
	{
		var len = Array.isArray(entries) ? entries.length : 1;

		for (var i = 0; i < len; i++)
		{
			var	entry = len > 1 ? entries[i] : entries;
			var deviceType = entry["Type"];

			var values = entry["Val"];
			for (var j = 0; j < values.length; j++)
			{
				var value = values[j]["_"];
				if (value != "-")
				{
					var valName = values[j]["$"]["n"];
					var valMultiplier = values[j]["$"]["m"];

					if (deviceType == 1 && valName == "Pac grid")
					{
							power -= Number(value) / Number(valMultiplier);
					}
					else if (deviceType <= 2 && (valName == "Pac" || valName == "Pac load"))
					{
							power += Number(value) / Number(valMultiplier);
					}
					else if (deviceType == 6 && valName == "Pac")
					{
							actualConsumption += Number(value) / Number(valMultiplier);
					}
				}
			}
		}

		$('#lcdPower').text(formatNumber(Math.floor(power / 1000)) + "." + (Math.floor(power / 100) % 10) + " kW");
		//$('#lcdPowerConsum').text(formatNumber(Math.floor(actualConsumption / 1000)) + "." + (Math.floor(actualConsumption / 100) % 10) + " kW");
	}
}