<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:val="http://www.etech.cz/XMLSchema/sim/lcd.xsd">

	<xsl:output method="html" encoding="UTF-8" indent="no"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

	<xsl:include href="template.xsl" />

	<xsl:template match="val:Root">
		<html>
			<head>
				<title>Solar Monitor - <xsl:value-of select="Agent/DeviceName"/></title>
				<link rel="stylesheet" type="text/css" href="css/lcd.css?v={{VERSION}}"/>
				<link rel="icon" type="image/x-icon" href="img/favicon.ico"/>
				<script type="text/javascript" src="js/jquery.js?v={{VERSION}}"/>
				<script type="text/javascript" src="js/jq.ui.js?v={{VERSION}}"/> 
				<script type="text/javascript" src="js/jq.loc.js?v={{VERSION}}"/>
				<script type="text/javascript" src="js/knob.js?v={{VERSION}}" defer="true"/>
				<script type="text/javascript" src="js/xml2json.js?v={{VERSION}}" defer="true"/>
				<script type="text/javascript" src="js/lcd.js?v={{VERSION}}" defer="true"/>
				<script type="text/javascript" src="js/setup.js?v={{VERSION}}" defer="true"/>
				<script>
					$(window).on('load', function () {
						setRefresh(function () { 
							getLcd();
						});
					});	
				</script>
			</head>
			<body>
				<div id="container">
					<div id="min_height"></div>
					<div id="main-div">
						<div id="main-content">
							<div id="content">
								<input id="lcd_lang" type="hidden"><xsl:attribute name="value"><xsl:value-of select="//Global/Language"/></xsl:attribute></input>
								<div class="container">
									<div class="lcdParamName"><lang data-localize="total_production_2">Celkem vyrobeno</lang></div>
                                  <div id="lcdTotal" class="lcdParamValue"> - </div>
								</div>
								<div class="container">
									<div class="lcdParamName"><lang data-localize="actual_power">Aktuální výkon</lang></div>
                                  <div id="lcdPower" class="lcdParamValue"> - </div>
								</div>
								<div class="container">
									<div class="lcdParamName"><lang data-localize="saved_co2">Celkem ušetřeno CO<sub>2</sub></lang></div>
                                  <div id="lcdCO2" class="lcdParamValue"> - </div>
								</div>
								<hr class="cleaner" />
							</div>
							<hr class="cleaner" />
						</div>
					</div>
				</div>
				<div id="name"><lang data-localize="lcd_name">Vizualizace<br />údajů z elektrárny</lang></div>
				<div id="desc"><lang data-localize="lcd_adv_text">Populární řešení pro prezentaci technologií ve školách, úřadech, a vestibulech kancelářských budov. Vzhled může být upraven na míru Vašim požadavkům.</lang></div>
				<div id="powered"><lang data-localize="lcd_running_system">běží na systému</lang></div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
